
Foreman - Bug #11187

Taxonomy selectors are empty even for users with assign permissions

07/22/2015 04:50 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Organizations and Locations   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1245624 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2564

  

Description

A patch that added authorization to multiple selects broke the taxonomies selects. It calls authorized without any arguments which

means it check for any permission for a default resource (which is self). This can't work for Taxonomy (and other STI models)

because permissions are mapped to children resources. Also I think that there should be view_$resource permission checked

instead of any permission (not 100% sure about this though).

Related issues:

Related to Foreman - Bug #7337: organizations UI does not filter resources to... Closed 09/03/2014

Related to Foreman - Bug #11408: Plugin permissions are broken when using mul... Duplicate 08/18/2015

Associated revisions

Revision cdb70710 - 08/13/2015 10:07 AM - Marek Hulán

Fixes #11187 - explicitly pass resource_type and permission to check

Revision 4ec71610 - 08/17/2015 08:21 AM - Marek Hulán

Fixes #11187 - explicitly pass resource_type and permission to check

History

#1 - 07/22/2015 04:50 AM - Marek Hulán

- Related to Bug #7337: organizations UI does not filter resources to associate based upon RBAC added

#2 - 07/22/2015 05:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2564 added

- Pull request deleted ()

#3 - 07/22/2015 08:18 AM - Marek Hulán

- Bugzilla link set to 1245624

#4 - 08/13/2015 10:07 AM - Dominic Cleal

- Assignee set to Marek Hulán

#5 - 08/13/2015 11:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cdb70710d21a85fb6318a34e862f52daecdf7478.

#6 - 08/18/2015 04:40 PM - Stephen Benjamin

- Related to Bug #11408: Plugin permissions are broken when using multiple selects added
https://github.com/theforeman/foreman/commit/887e2fd9
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/cdb70710d21a85fb6318a34e862f52daecdf7478
